.side-menu {
    position: fixed;
    top: 0;
    left: 0;
    width: 200px;
    background: #1e1f26;
    height: 100vh;
    box-shadow: 2px 0 5px rgb(0 0 0 / 20%);
    z-index: 8;
    overflow-x: hidden;
    overflow-y: auto;
}

.menu-mainLogo {
    margin: 20px auto;
    width: 150px;
    display: block;
}

.menu-colums {
    width: 100%;
    padding: 12px 0;
    display: flex;
    flex-direction: column;
}

.menu-colums>a {
    overflow: hidden;
    padding: .42rem 1.375rem;
    font-weight: 700;
    color: #fff;
    text-align: left;
    line-height: 1;
    transition: .2s ease;
    background: none;
    border: 0;
    width: 200px;
    font-size: 1rem;
    text-decoration: none;
}

.menu-colums>a:hover {
    background: #000;
}

/* dropdown */
.dropdown-menu {
    display: block;
    margin: 12px auto;
    border-radius: 4px;
    overflow: hidden;
    width: 150px;
    background: #000;
}

.dropdown-menu>button {
    transition: .2s ease;
    outline: none;
    border: none;
    background: #2c303a;
    width: 150px;
    padding: 11px 13px;
    display: flex;
    justify-content: space-between;
    align-items: center;
    color: #fff;
    font-size: 1.1rem;
    font-weight: normal;
}

.dropdown-menu>button>i {
    font-size: 1rem;
}

.dropdown {
    display: block;
    transition: .3s all;
    margin: 0;
    list-style: none;
    padding: 0;
    font-size: 1rem;
    max-height: 0;
    overflow-y: hidden;
}

/* button click */
.show {
    max-height: 150px;
}

.button-arrow {
    transition: .3s ease;
}

.rotater {
    transform: rotateX(180deg);
}

/* button click end */
.dropdown>li {
    margin-top: 1px;
}

.dropdown>li>a {
    transition: .2s ease;
    text-decoration: none;
    display: block;
    padding: 11px 13px;
    background: #2c303a;
    color: #fff;
    display: flex;
    align-items: center;
    gap: 15px;
}

.dropdown>li>a:hover,
.dropdown-menu>button:hover {
    background: #000;
}

.dropdown>li>a:hover i {
    color: #ae63e4;
}

.dropdown>li>a:hover i {
    color: #76daff;
}

.dropdown>li>a:hover i {
    color: #ffdd40;
}


/* animation */
.animationLine {
    display: block;
    margin: 0 auto;
    width: 150px;
    height: 4px;
    border-radius: 6px;
    background: linear-gradient(115deg, #4fcf70, #fad648, #a767e5, #12bcfe, #44ce7b, #4fcf70);
    background-size: 200%;
    animation: animLines 2s linear infinite;

}


@keyframes animLines {
    from {
        background-position: 0%;
    }

    to {
        background-position: 200%;
    }

}

@media only screen and (max-width:830px) {
    .side-menu {
        display: none;
    }
}